# $Revision: 1.41 $, $Date: 2011/11/12 13:42:35 $
#
# Conditional build:
%bcond_without	apidocs		# don't build api docs
#
Summary:	Netlink sockets library
Summary(pl.UTF-8):	Biblioteka do obsługi gniazd netlink
Name:		libnl
Version:	3.2.3
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://www.infradead.org/~tgr/libnl/files/%{name}-%{version}.tar.gz
# Source0-md5:	dbbb44801e833cf9ca4fdc943f2a58ee
Patch0:		%{name}-link.patch
Patch1:		%{name}-pedantic.patch
Patch2:		0001-avoid-dangling-co_major_cache-reference-to-NL_AUTO_P.patch
URL:		http://www.infradead.org/~tgr/libnl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison >= 2.4.0
BuildRequires:	flex >= 2.5.34
BuildRequires:	libtool
BuildRequires:	linux-libc-headers >= 6:2.6.23
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	swig-python
%if %{with apidocs}
BuildRequires:	asciidoc >= 8.6.5
BuildRequires:	asciidoc-filter-mscgen >= 1.2
BuildRequires:	doxygen
BuildRequires:	mscgen
BuildRequires:	python-pygments
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	xmlstarlet >= 1.2.1
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	bfifo.so.0.0.0 blackhole.so.0.0.0 htb.so.0.0.0 pfifo.so.0.0.0 basic.so.0.0.0 cgroup.so.0.0.0

%description
libnl is a library for applications dealing with netlink socket. It
provides an easy to use interface for raw netlink message but also
netlink family specific APIs.

%description -l pl.UTF-8
libnl jest biblioteką dla aplikacji rozmawiających z gniazdem netlink.
Udostępnia łatwy w użyciu interfejs do korzystania z surowych
wiadomości netlink, a także API specyficzne dla rodziny gniazd
netlink.

%package devel
Summary:	Header files for libnl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnl
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libnl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnl.

%package static
Summary:	Static libnl library
Summary(pl.UTF-8):	Statyczna biblioteka libnl
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libnl library.

%description static -l pl.UTF-8
Statyczna biblioteka libnl.

%package apidocs
Summary:	libnl library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnl
Group:		Documentation

%description apidocs
Documentation for libnl library API and guides in HTML format
generated from sources by doxygen.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnl oraz wprowadzenie w formacie HTML
wygenerowane ze źródeł za pomocą doxygena.

%package -n python-netlink
Summary:	Python wrapper for netlink protocols
Summary(pl.UTF-8):	Pythonowy interfejs do protokołów netlink
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-netlink
Python wrapper for netlink protocols.

%description -n python-netlink -l pl.UTF-8
Pythonowy interfejs do protokołów netlink.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
# fron ntrack.spec; question is why it wasn't merged upstream
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}
%{?with_apidocs:%{__make} -j1 -C doc gendoc}

cd python
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags} -L$(pwd)/../lib/.libs" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd python
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%py_postclean

# dynamic modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libnl/cli/*/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%dir %{_sysconfdir}/libnl
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libnl/classid
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libnl/pktloc
%attr(755,root,root) %{_sbindir}/nl-class-*
%attr(755,root,root) %{_sbindir}/nl-classid-lookup
%attr(755,root,root) %{_sbindir}/nl-cls-*
%attr(755,root,root) %{_sbindir}/nl-link-list
%attr(755,root,root) %{_sbindir}/nl-pktloc-lookup
%attr(755,root,root) %{_sbindir}/nl-qdisc-*
%attr(755,root,root) %{_libdir}/libnl-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnl-3.so.200
%attr(755,root,root) %{_libdir}/libnl-cli-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnl-cli-3.so.200
%attr(755,root,root) %{_libdir}/libnl-genl-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnl-genl-3.so.200
%attr(755,root,root) %{_libdir}/libnl-nf-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnl-nf-3.so.200
%attr(755,root,root) %{_libdir}/libnl-route-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnl-route-3.so.200
%dir %{_libdir}/libnl
%dir %{_libdir}/libnl/cli
%dir %{_libdir}/libnl/cli/cls
%attr(755,root,root) %{_libdir}/libnl/cli/cls/*.so*
%dir %{_libdir}/libnl/cli/qdisc
%attr(755,root,root) %{_libdir}/libnl/cli/qdisc/*.so*
%{_mandir}/man8/nl-classid-lookup.8*
%{_mandir}/man8/nl-pktloc-lookup.8*
%{_mandir}/man8/nl-qdisc-*.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnl-3.so
%attr(755,root,root) %{_libdir}/libnl-cli-3.so
%attr(755,root,root) %{_libdir}/libnl-genl-3.so
%attr(755,root,root) %{_libdir}/libnl-nf-3.so
%attr(755,root,root) %{_libdir}/libnl-route-3.so
%{_libdir}/libnl-3.la
%{_libdir}/libnl-cli-3.la
%{_libdir}/libnl-genl-3.la
%{_libdir}/libnl-nf-3.la
%{_libdir}/libnl-route-3.la
%{_includedir}/libnl3
%{_pkgconfigdir}/libnl-3.0.pc
%{_pkgconfigdir}/libnl-cli-3.0.pc
%{_pkgconfigdir}/libnl-genl-3.0.pc
%{_pkgconfigdir}/libnl-nf-3.0.pc
%{_pkgconfigdir}/libnl-route-3.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnl-3.a
%{_libdir}/libnl-cli-3.a
%{_libdir}/libnl-genl-3.a
%{_libdir}/libnl-nf-3.a
%{_libdir}/libnl-route-3.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/{*.html,api,images}
%endif

%files -n python-netlink
%defattr(644,root,root,755)
%dir %{py_sitedir}/netlink
%attr(755,root,root) %{py_sitedir}/netlink/_capi.so
%{py_sitedir}/netlink/*.py[co]
%dir %{py_sitedir}/netlink/route
%attr(755,root,root) %{py_sitedir}/netlink/route/_capi.so
%{py_sitedir}/netlink/route/*.py[co]
%dir %{py_sitedir}/netlink/route/links
%{py_sitedir}/netlink/route/links/*.py[co]
%dir %{py_sitedir}/netlink/route/qdisc
%{py_sitedir}/netlink/route/qdisc/*.py[co]
%{py_sitedir}/netlink-1.0-py*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnl.spec,v $
Revision 1.41  2011/11/12 13:42:35  arekm
- add patch from ntrack

Revision 1.40  2011/11/12 13:39:09  arekm
- up to 3.2.3

Revision 1.39  2011/11/01 20:10:23  qboosh
- updated to 3.2.2
- updated link patch

Revision 1.38  2011/09/22 16:08:16  qboosh
- updated to 3.2.1

Revision 1.37  2011/09/18 17:20:37  qboosh
- no longer Conflicts libnl1-*
- release 3

Revision 1.36  2011/09/17 07:03:26  arekm
- rel 2; avoid pedantic errors

Revision 1.35  2011/09/16 19:22:39  qboosh
- updated to 3.2.0 (new sonames; now fully parallel installable with libnl1)
- updated link patch

Revision 1.34  2011/08/14 16:43:09  qboosh
- updated to 3.1
- added link patch
- package python-netlink wrapper

Revision 1.33  2011/04/10 23:04:28  sls
- BR: flex, bison

Revision 1.32  2011/03/28 18:19:41  arekm
- rel 3; add C: libnl1-devel/static

Revision 1.31  2011/03/27 18:24:52  arekm
- rel 2; mark modules with skip_post_check_so

Revision 1.30  2011/03/24 19:50:14  qboosh
- updated to 3.0 (note: new libnl soname; more libs introduced)
- removed obsolete patches

Revision 1.29  2010/03/25 08:00:23  qboosh
- updated Source0 URL

Revision 1.28  2009/12/25 21:12:20  glen
- new working url

Revision 1.27  2009/11/28 15:12:57  sparky
- BR: graphviz (for apidocs)

Revision 1.26  2009/05/27 21:49:08  glen
- fix error: /usr/include/netlink/object.h:58: error: inline function 'nl_object_priv' declared but never defined
- rel 4

Revision 1.25  2009/03/11 17:02:49  qboosh
- pl for -apidocs

Revision 1.24  2009/03/10 13:28:01  glen
- fix apidocs

Revision 1.23  2009/03/10 00:36:00  glen
- build apidocs

Revision 1.22  2008/08/29 20:31:33  glen
- llh 2.6.23 for VLAN_FLAG_REORDER_HDR

Revision 1.21  2008/05/19 07:45:46  pluto
- fix build on recent gcc, release 2.

Revision 1.20  2008-01-21 23:37:04  shadzik
- 1.1

Revision 1.19  2008-01-13 08:59:59  qboosh
- merged final 1.0 from DEVEL
- with -static patch -static is restored

Revision 1.14.2.5  2008-01-13 08:54:20  qboosh
- removed obsolete llh patch

Revision 1.14.2.4  2008-01-13 08:53:56  qboosh
- removed remnants of no longer existing -static, added Obsoletes

Revision 1.14.2.3  2008-01-13 08:52:58  qboosh
- updated to final 1.0

Revision 1.14.2.2  2007-12-16 21:11:33  qboosh
- added llh patch to avoid using obsolete <lihux/ip_mp_alg.h> header

Revision 1.14.2.1  2007-11-23 10:43:16  patrys
- pre8
- meant for llh 2.6.23
- epoch 1 to follow HEAD
- don't merge as it breaks API/ABI for existing apps

Revision 1.18  2007-12-14 14:01:35  patrys
- rel up

Revision 1.17  2007-12-14 02:03:29  patrys
- build static library

Revision 1.16  2007-11-23 10:28:52  patrys
- rel 4 to satisfy builder

Revision 1.15  2007-11-23 10:25:53  patrys
- reverted to pre6
- pre7 on DEVEL breaks applications and doesn't build with llh 2.6.23
- epoch 1
- rel 1

Revision 1.13  2007-08-04 08:05:06  qboosh
- fixed shellglob

Revision 1.12  2007/08/02 21:03:05  twittner
- fix %files
- rel. 3

Revision 1.11  2007/02/20 19:30:09  arekm
- rel .2

Revision 1.10  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.8  2006/12/26 17:43:06  qboosh
- updated to 1.0-pre6, removed obsolete no_root patch and .pc file

Revision 1.7  2006/10/31 08:19:36  pluto
- install fixed.

Revision 1.6  2006/10/31 08:10:58  pluto
- build fixed.

Revision 1.5  2006/04/05 16:47:28  qboosh
- removed outdated if_ether patch

Revision 1.4  2006/04/03 19:01:20  aredridel
- add pkgconfig file

Revision 1.3  2006/04/03 18:47:40  aredridel
- up to 1.0-pre5

Revision 1.2  2005/06/20 21:17:35  qboosh
- cosmetics, BR: ac,am

Revision 1.1  2005/06/19 08:08:13  undefine
- initial
